package org.hibernate.dialect;

import java.sql.Types;

/**
 * An SQL dialect for PostgreSQL 8.3.x specific features.
 *
 * @author Simon Riggs
 */
public class PostgreSQL83Dialect extends PostgreSQL8Dialect {

	public String getForUpdateNowaitString() {
		return getForUpdateString() + " NOWAIT";
	}

	public boolean supportsIfExistsBeforeTableName() {
		return true;
	}

	public boolean supportsRowValueConstructorSyntax() {
		return true;
	}
}
